config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redund
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pam.d/other.new
config etc/security/access.conf.new
config etc/security/group.conf.new
config etc/security/limits.conf.new
config etc/security/pam_env.conf.new
config etc/security/time.conf.new
( cd usr/share/man/man8 ; rm -rf pam.d.8.gz )
( cd usr/share/man/man8 ; ln -sf pam.8.gz pam.d.8.gz )
( cd usr/share/man/man8 ; rm -rf pam.conf.8.gz )
( cd usr/share/man/man8 ; ln -sf pam.8.gz pam.conf.8.gz )
( cd usr/share/man/man3 ; rm -rf pam_end.3.gz )
( cd usr/share/man/man3 ; ln -sf pam_start.3.gz pam_end.3.gz )
( cd usr/share/man/man3 ; rm -rf pam_close_session.3.gz )
( cd usr/share/man/man3 ; ln -sf pam_open_session.3.gz pam_close_session.3.gz )
( cd usr/share/man/man3 ; rm -rf pam_get_item.3.gz )
( cd usr/share/man/man3 ; ln -sf pam_set_item.3.gz pam_get_item.3.gz )
( cd lib ; rm -rf libpam.so.0 )
( cd lib ; ln -sf libpam.so.0.81 libpam.so.0 )
( cd lib ; rm -rf libpamc.so )
( cd lib ; ln -sf libpamc.so.0 libpamc.so )
( cd lib ; rm -rf libpam_misc.so.0 )
( cd lib ; ln -sf libpam_misc.so.0.81 libpam_misc.so.0 )
( cd lib/security ; rm -rf pam_unix_passwd.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_passwd.so )
( cd lib/security ; rm -rf pam_unix_acct.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_acct.so )
( cd lib/security ; rm -rf pam_unix_auth.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_auth.so )
( cd lib/security ; rm -rf pam_unix_session.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_session.so )
( cd lib ; rm -rf libpam_misc.so )
( cd lib ; ln -sf libpam_misc.so.0 libpam_misc.so )
( cd lib ; rm -rf libpam.so )
( cd lib ; ln -sf libpam.so.0 libpam.so )
( cd lib ; rm -rf libpamc.so.0 )
( cd lib ; ln -sf libpamc.so.0.81 libpamc.so.0 )
